Get company posts
curl --request GET \
--url https://api.konbiniapi.com/v1/linkedin/companies/{company}/posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.konbiniapi.com/v1/linkedin/companies/{company}/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.konbiniapi.com/v1/linkedin/companies/{company}/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollectionPage",
"partOf": "https://api.konbiniapi.com/v1/linkedin/companies/stripe/posts",
"totalItems": null,
"cursor": null,
"nextCursor": "eyJvIjoi",
"next": "https://api.konbiniapi.com/v1/linkedin/companies/stripe/posts?cursor=eyJvIjoi",
"itemCount": 30,
"orderedItems": [
{
"type": "Note",
"id": "https://www.linkedin.com/posts/stripe_new-providers-on-stripe-projects-are-available-activity-7483253516766109696-xCr3",
"url": "https://www.linkedin.com/posts/stripe_new-providers-on-stripe-projects-are-available-activity-7483253516766109696-xCr3",
"content": "New providers on Stripe Projects are available now:\n\nChatbase\nComposio\nNodeOps\nCustomer.io\nDatadog",
"entityId": "7483253516766109696",
"published": "2026-07-15T20:17:50.459Z",
"likeCount": 93210,
"attributedTo": {
"type": "Organization",
"id": "https://www.linkedin.com/company/stripe",
"url": "https://www.linkedin.com/company/stripe",
"name": "Stripe",
"preferredUsername": "stripe"
}
}
]
}
}{
"errors": [
{
"code": "validation_error",
"message": "Validation error"
}
],
"data": null
}{
"errors": [
{
"message": "Invalid API key"
}
],
"data": null
}{
"errors": [
{
"code": "credits_exhausted",
"message": "Credits exhausted. Upgrade your plan at konbiniapi.com"
}
],
"data": null
}{
"errors": [
{
"message": "API key is disabled"
}
],
"data": null
}{
"errors": [
{
"message": "Not found"
}
],
"data": null
}{
"errors": [
{
"code": "validation_error",
"message": "Request body too large"
}
],
"data": null
}{
"errors": [
{
"code": "internal_error",
"message": "Internal error"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}{
"errors": [
{
"code": "service_unavailable",
"message": "Service unavailable"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}Companies
Get company posts
Returns recent posts from a LinkedIn company page, newest first. Use cursor to page through further results.
GET
/
v1
/
linkedin
/
companies
/
{company}
/
posts
Get company posts
Authorizations
Send your API key in the Authorization header as a Bearer token.
Example: Authorization: Bearer <your-api-key>
Path Parameters
Company vanity name
Example:
"stripe"
Query Parameters
Pagination cursor
Example:
"0"
Response
Returns posts from this company page
Show child attributes
Show child attributes
⌘I